[Python] problemi di import del PGDialect

Pietro Zambelli peter.zamb a gmail.com
Gio 16 Set 2010 11:33:28 CEST


In data giovedý 16 settembre 2010 10:39:19, Alessandro Dentella ha scritto:
> On Thu, Sep 16, 2010 at 09:48:55AM +0200, Pietro Zambelli wrote:
> > Ciao a tutti,
> > sto cercando di utilizzare questo programma [0] per visualizzare lo
> > schema del mio database, solo che ottengo:
> > 
> > In [6]: %run sqlalchemy_schemadisplay.py
> > -------------------------------------------------------------------------
> > -- ImportError                               Traceback (most recent call
> > last)
> > 
> > /home/pietro/tmp/lavoro/osmdb/sqlalchemy_schemadisplay.py in <module>()
> > 
> >      90     return graph
> >      91
> > 
> > ---> 92 from sqlalchemy.databases.postgres import PGDialect
> > 
> >      93 from sqlalchemy import Table, text
> >      94
> > 
> > ImportError: No module named postgres
> > WARNING: Failure executing file: <sqlalchemy_schemadisplay.py>
> 
> che versione di sqlalchemy usi?
In [16]: sqlalchemy.__version__
Out[16]: '0.6.4'

> Quella stessa riga a me funziona con sql 0.6.3 anche se io non importo mai
> direttamente il dialoetto, semplicemente passo l'URL all'engine. Cosa ti
> serve in particolare il dialetto?

Premetto che sono nuovo in sqlalchemy e che il programma non l'ho scritto io, 
stavo solo cercando di utilizzarlo come libreria che importavo. Per creare un 
programma da linea di comando che dati i paramentri di connessione generi una 
immagine png o svg con lo schema del db.

Ora cerco di capire se posso fare a meno di di utilizzare il dialetto...

Grazie per l'aiuto

Pietro



Maggiori informazioni sulla lista Python